# Configuration file

0 {
    # Specify the block name of generation block.
    S:block=minecraft:stone

    # Specify the block metadata of generation block.
    S:blockMeta=granite

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=28

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=25

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=255

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


1 {
    # Specify the block name of generation block.
    S:block=minecraft:stone

    # Specify the block metadata of generation block.
    S:blockMeta=diorite

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=28

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=25

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=255

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


2 {
    # Specify the block name of generation block.
    S:block=minecraft:stone

    # Specify the block metadata of generation block.
    S:blockMeta=andesite

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=30

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=25

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=255

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


3 {
    # Specify the block name of generation block.
    S:block=minecraft:coal_ore

    # Specify the block metadata of generation block.
    S:blockMeta=0

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=50

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=17

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=127

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


4 {
    # Specify the block name of generation block.
    S:block=minecraft:iron_ore

    # Specify the block metadata of generation block.
    S:blockMeta=0

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=40

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=10

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=127

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


5 {
    # Specify the block name of generation block.
    S:block=cavern:cave_block

    # Specify the block metadata of generation block.
    S:blockMeta=0

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=12

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=8

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=20

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=127

    # Specify the accept biomes for generation.
    S:biomes <
        advancedrocketry:crystalchasms
        advancedrocketry:deepswamp
        advancedrocketry:oceanspires
        advancedrocketry:space
        advancedrocketry:stormland
        appliedenergistics2:storage_biome
        biomesoplenty:alps
        biomesoplenty:alps_foothills
        biomesoplenty:bamboo_forest
        biomesoplenty:bayou
        biomesoplenty:bog
        biomesoplenty:boreal_forest
        biomesoplenty:cherry_blossom_grove
        biomesoplenty:cold_desert
        biomesoplenty:coniferous_forest
        biomesoplenty:coral_reef
        biomesoplenty:crag
        biomesoplenty:dead_forest
        biomesoplenty:dead_swamp
        biomesoplenty:eucalyptus_forest
        biomesoplenty:fen
        biomesoplenty:flower_island
        biomesoplenty:glacier
        biomesoplenty:grassland
        biomesoplenty:grove
        biomesoplenty:highland
        biomesoplenty:kelp_forest
        biomesoplenty:land_of_lakes
        biomesoplenty:lush_swamp
        biomesoplenty:mangrove
        biomesoplenty:maple_woods
        biomesoplenty:marsh
        biomesoplenty:meadow
        biomesoplenty:moor
        biomesoplenty:mystic_grove
        biomesoplenty:oasis
        biomesoplenty:ominous_woods
        biomesoplenty:origin_island
        biomesoplenty:overgrown_cliffs
        biomesoplenty:quagmire
        biomesoplenty:rainforest
        biomesoplenty:sacred_springs
        biomesoplenty:seasonal_forest
        biomesoplenty:shield
        biomesoplenty:snowy_coniferous_forest
        biomesoplenty:snowy_forest
        biomesoplenty:temperate_rainforest
        biomesoplenty:tropical_island
        biomesoplenty:tropical_rainforest
        biomesoplenty:tundra
        biomesoplenty:visceral_heap
        biomesoplenty:volcanic_island
        biomesoplenty:wetland
        iceandfire:glacier
        minecraft:cold_beach
        minecraft:deep_ocean
        minecraft:frozen_ocean
        minecraft:frozen_river
        minecraft:ice_flats
        minecraft:ice_mountains
        minecraft:jungle
        minecraft:jungle_edge
        minecraft:jungle_hills
        minecraft:mutated_ice_flats
        minecraft:mutated_jungle
        minecraft:mutated_swampland
        minecraft:mutated_taiga
        minecraft:mutated_taiga_cold
        minecraft:ocean
        minecraft:redwood_taiga
        minecraft:redwood_taiga_hills
        minecraft:river
        minecraft:sky
        minecraft:swampland
        minecraft:taiga
        minecraft:taiga_cold
        minecraft:taiga_cold_hills
        minecraft:taiga_hills
        thebetweenlands:coarse_islands
        thebetweenlands:deep_waters
        thebetweenlands:marsh_0
        thebetweenlands:marsh_1
        thebetweenlands:patchy_islands
        thebetweenlands:sludge_plains
        thebetweenlands:swamplands
        twilightforest:snowy_forest
        twilightforest:twilight_glacier
        twilightforest:twilight_lake
        twilightforest:twilight_stream
        twilightforest:twilight_swamp
     >
}


6 {
    # Specify the block name of generation block.
    S:block=cavern:cave_block

    # Specify the block metadata of generation block.
    S:blockMeta=2

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=30

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=10

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=127

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


7 {
    # Specify the block name of generation block.
    S:block=cavern:cave_block

    # Specify the block metadata of generation block.
    S:blockMeta=4

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=24

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=4

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=127

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


8 {
    # Specify the block name of generation block.
    S:block=cavern:cave_block

    # Specify the block metadata of generation block.
    S:blockMeta=5

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=4

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=5

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=30

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


9 {
    # Specify the block name of generation block.
    S:block=cavern:cave_block

    # Specify the block metadata of generation block.
    S:blockMeta=7

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=150

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=2

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=127

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


10 {
    # Specify the block name of generation block.
    S:block=cavern:cave_block

    # Specify the block metadata of generation block.
    S:blockMeta=9

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=5

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=4

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=50

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


11 {
    # Specify the block name of generation block.
    S:block=minecraft:dirt

    # Specify the block metadata of generation block.
    S:blockMeta=dirt

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=20

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=25

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=127

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


12 {
    # Specify the block name of generation block.
    S:block=minecraft:gravel

    # Specify the block metadata of generation block.
    S:blockMeta=0

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=10

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=20

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=127

    # Specify the accept biomes for generation.
    S:biomes <
     >
}


13 {
    # Specify the block name of generation block.
    S:block=minecraft:sand

    # Specify the block metadata of generation block.
    S:blockMeta=sand

    # Specify the block name of generation target block.
    S:targetBlock=minecraft:stone

    # Specify the block metadata of generation target block.
    S:targetBlockMeta=stone

    # Specify the weight for generation. [range: 0 ~ 100]
    I:weight=10

    # Specify the chance for generation. [range: 0.0 ~ 1.0, default: 1.0]
    D:chance=1.0

    # Specify the vein size for generation. [range: 0 ~ 100]
    I:size=20

    # Specify the minimum height for generation. [range: 0 ~ 255, default: 0]
    I:minHeight=1

    # Specify the maximum height for generation. [range: 0 ~ 255, default: 255]
    I:maxHeight=127

    # Specify the accept biomes for generation.
    S:biomes <
        biomesoplenty:corrupted_sands
        biomesoplenty:lush_desert
        biomesoplenty:oasis
        biomesoplenty:outback
        biomesoplenty:steppe
        biomesoplenty:xeric_shrubland
        minecraft:desert
        minecraft:desert_hills
        minecraft:mesa
        minecraft:mesa_clear_rock
        minecraft:mesa_rock
        minecraft:mutated_desert
     >
}


